DO $$ 
    BEGIN
        BEGIN
          IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=1765) THEN
		RETURN;
          END IF;
            ALTER TABLE public."SharedLinks" ADD "Password" character varying(500) NULL;
            ALTER TABLE public."SharedLinks" ADD "ExpirationDate" timestamp NULL;
        EXCEPTION
            WHEN duplicate_column THEN RAISE NOTICE 'column Password already exists in <SharedLinks>.';
        END;
    END;
$$
